import { ITimer } from "@webiny/handler-aws";
import { Context } from "../../../types";
import { IElasticsearchSynchronize, IElasticsearchSynchronizeExecuteParams, IElasticsearchSynchronizeExecuteResponse } from "./abstractions/ElasticsearchSynchronize";
export interface IElasticsearchSynchronizeParams {
    timer: ITimer;
    context: Context;
}
export declare class ElasticsearchSynchronize implements IElasticsearchSynchronize {
    private readonly timer;
    private readonly context;
    constructor(params: IElasticsearchSynchronizeParams);
    execute(params: IElasticsearchSynchronizeExecuteParams): Promise<IElasticsearchSynchronizeExecuteResponse>;
    private getEntity;
}
